unit uIDataModuleEmpresas;

interface

uses
  SysUtils, Classes, uBizEmpresas, uBizEmpresasTiendas;

type
  IDataModuleEmpresas = interface
    ['{681FD37D-8C67-47F1-8286-2B6EFE95CE7D}']
    function GetItem(const ID : Integer) : IBizEmpresa;
    function NewItem : IBizEmpresa;
    function GetItems : IBizEmpresa;

    function NewTienda : IBizEmpresaTienda;
    function GetTienda(const ID : Integer) : IBizEmpresaTienda;
    function GetTiendas : IBizEmpresaTienda;

    function DarTiendaUsuario(const ID_EMPRESA: Integer; const ID_USUARIO: Integer): Integer;
    function DarListaFormasPago: TStringList;
    function DarListaTiposIVA: TStringList;    
  end;

implementation

end.
